#pragma once
#include "Texture.h"
#include "TextureManager.h"

class Building
{
public:
	Building(const std::string& filePath, const Vector2f& position, TextureManager* pTextureManager);
	~Building();

	void Draw() const;
	void Update(float dt);

	
private:
	Texture* m_Texture;
	Vector2f m_Position;
	Vector2f m_Size;
	
};
